Bug 224668 - astro/viking: Unbreak by fixing gpsd LIB_DEPENDS
Summary: astro/viking: Unbreak by fixing gpsd LIB_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-29 09:07 UTC by Ting-Wei Lan
Modified: 2018-01-19 19:24 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
Unbreak viking by replacing libgpsd.so with libgps.so (752 bytes, patch)
2017-12-29 09:07 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2017-12-29 09:07:34 UTC
Created attachment 189194 [details]
Unbreak viking by replacing libgpsd.so with libgps.so

viking has been marked as broken for several months because of wrong LIB_DEPENDS. It is very easy to fix and I hope we can get it fixed soon to prevent it from being removed from ports.
Comment 1 Ting-Wei Lan 2018-01-13 13:19:38 UTC
Ping ... Does someone have time to review this simple patch?
Comment 2 commit-hook freebsd_committer 2018-01-13 14:35:48 UTC
A commit references this bug:

Author: tobik
Date: Sat Jan 13 14:35:04 UTC 2018
New revision: 458934
URL: https://svnweb.freebsd.org/changeset/ports/458934

Log:
  astro/viking: Fix LIB_DEPENDS and unbreak port

  - While here reset MAINTAINER: The port has been marked as broken
    since 2017-05-10 and the maintainer has a history of timeouts.

  PR:		224668
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	koalative@gmail.com (maintainer timeout, 2 weeks)
  MFH:		2018Q1

Changes:
  head/astro/viking/Makefile
Comment 3 commit-hook freebsd_committer 2018-01-19 19:23:55 UTC
A commit references this bug:

Author: tobik
Date: Fri Jan 19 19:23:05 UTC 2018
New revision: 459463
URL: https://svnweb.freebsd.org/changeset/ports/459463

Log:
  MFH: r458934

  astro/viking: Fix LIB_DEPENDS and unbreak port

  - While here reset MAINTAINER: The port has been marked as broken
    since 2017-05-10 and the maintainer has a history of timeouts.

  PR:		224668
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	koalative@gmail.com (maintainer timeout, 2 weeks)

  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/astro/viking/Makefile